Bug 1013788 - first_uid is a duplicate data of max_uid - max_capacity on the district model
first_uid is a duplicate data of max_uid - max_capacity on the district model
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Pod (Show other bugs)
2.x
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Jason DeTiberus
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-30 15:04 EDT by Dan McPherson
Modified: 2015-05-14 20:21 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-17 09:33:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan McPherson 2013-09-30 15:04:41 EDT
Description of problem:
first_uid was added to districts and is isn't really needed

Need to remove the field and the migration to add the field to mongo
Comment 1 Jason DeTiberus 2013-09-30 16:40:58 EDT
https://github.com/openshift/origin-server/pull/3744
Comment 2 openshift-github-bot 2013-09-30 17:59:09 EDT
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/4e9a8b967c4871a8219a5c47e2dd7f2ebfa915f8
Bug 1013788 - Remove first_uid from district model
Comment 3 openshift-github-bot 2013-09-30 17:59:09 EDT
Commit pushed to master at https://github.com/openshift/li

https://github.com/openshift/li/commit/c0de83f48c02fccf683a867c2d2f47a47fc829f9
Bug 1013788 - Remove migration for adding first_uid to district model
Comment 4 Peter Ruan 2013-10-02 19:10:46 EDT
How does QA go about verifying this?
Comment 5 Jason DeTiberus 2013-10-02 21:36:45 EDT
It can be verified in the following ways:

1) Using the mongo shell (or the output of oo-admin-ctl-district) districts created do not have a first_uid field.

2) Given the above on a district node, verify that both facter on the node and /var/lib/openshift/.settings/district.info still have a first_uid field that matches the DISTRICT_FIRST_UID setting on the broker.
Comment 6 Jianwei Hou 2013-10-07 22:13:12 EDT
Verified on devenv_3871

first_uid matches on penshift-origin-msg-broker-mcollective-dev.conf and district.info, the corresponding field does not exist in mongodb.

[root@ip-10-137-27-77 ~]# grep -i first /etc/openshift/plugins.d/openshift-origin-msg-broker-mcollective-dev.conf
DISTRICTS_FIRST_UID=1000
[root@ip-10-137-27-77 ~]# grep -i first /var/lib/openshift/.settings/district.info
first_uid=1000


ip-10-137-27-77(mongod-2.4.6)[PRIMARY] openshift_broker_dev> db.districts.find({},{available_uids:0})
{
  "_id": ObjectId("525366654186a23f71000001"),
  "active_server_identities_size": 1,
  "available_capacity": 6000,
  "created_at": ISODate("2013-10-07T21:56:53.932-0400"),
  "gear_size": "small",
  "max_capacity": 6000,
  "max_uid": 6999,
  "name": "d1",
  "server_identities": [
    {
      "name": "ip-10-137-27-77",
      "active": true
    }
  ],
  "updated_at": ISODate("2013-10-07T21:57:47.310-0400"),
  "uuid": "525366654186a2094e000001"
}

Note You need to log in before you can comment on or make changes to this bug.